import "./Button.css";

export const VALUE = {
  EMPTY: "",
  X: <i className="icon-remove"></i>,
  O: <i className="icon-circle"></i>,
};

export function Button({ value, onButtonClick }) {
  let colorClass = "";
  switch (value) {
    case VALUE.X:
      colorClass = "button-x";
      break;
    case VALUE.O:
      colorClass = "button-o";
      break;
  }
  return (
    <button className={"board-button " + colorClass} onClick={onButtonClick}>
      {value}
    </button>
  );
}